RegexpPatternMatcher
Date: 2014-12-13

org.apache.ivy.plugins.matcher

## Class RegexpPatternMatcher

- java.lang.Object
- - org.apache.ivy.plugins.matcher.AbstractPatternMatcher
  - - org.apache.ivy.plugins.matcher.RegexpPatternMatcher

- All Implemented Interfaces:
    PatternMatcher

      public final class RegexpPatternMatcher
      extends AbstractPatternMatcher

  A pattern matcher matching input using regular expressions.
  See Also:
    `Pattern`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RegexpPatternMatcher` | `INSTANCE`

    - ### Fields inherited from interface org.apache.ivy.plugins.matcher.PatternMatcher

      `ANY_EXPRESSION, EXACT, EXACT_OR_REGEXP, GLOB, REGEXP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexpPatternMatcher()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Matcher` | `newMatcher(java.lang.String expression)` Returns an instance of the implementation specific matcher.

    - ### Methods inherited from class org.apache.ivy.plugins.matcher.AbstractPatternMatcher

      `getMatcher, getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final RegexpPatternMatcher INSTANCE

  - ### Constructor Detail

    - #### RegexpPatternMatcher

          public RegexpPatternMatcher()

  - ### Method Detail

    - #### newMatcher

          protected Matcher newMatcher(java.lang.String expression)

      Description copied from class: `AbstractPatternMatcher`
      Returns an instance of the implementation specific matcher.
      Specified by:
        `newMatcher` in class `AbstractPatternMatcher`
      Parameters:
        `expression` - the string to be matched.
      Returns:
        the instance of the related matcher. Never null.